WordPress.org

Make WordPress Core

Opened 6 years ago

Closed 6 years ago

Last modified 6 years ago

#30533 closed defect (bug) (fixed)

Better error message when an oEmbed preview cannot be shown in the editor

Reported by: azaozz Owned by: azaozz
Milestone: 4.1 Priority: normal
Severity: normal Version: 4.0
Component: Help/About Keywords:
Focuses: Cc:

Description

The current message: "Preview not available. %s cannot be embedded securely." is not clear and may sound "scary" to some users.

Change History (4)

#1 @azaozz
6 years ago

This is shown then the admin is served over ssl but the oEmbed doesn't support ssl. The users can still preview the post to see the embeds.

Perhaps only Preview not available. is enough?

Last edited 6 years ago by azaozz (previous) (diff)

This ticket was mentioned in Slack in #core by azaozz. View the logs.


6 years ago

#3 @azaozz
6 years ago

  • Owner set to azaozz
  • Resolution set to fixed
  • Status changed from new to closed

In 30591:

Better error message when the admin is ssl and non-ssl oEmbed previews are not available in the editor. Props Japh, fixes #30533.

#4 @nacin
6 years ago

Great change.

Note: See TracTickets for help on using tickets.